e-book-auth-util
3
LIBEDATASERVERUI Library

# e-book-auth-util

## Synopsis

    EBook *             e_load_book_source                  (ESource *source,
                                                             EBookCallback open_func,
                                                             gpointer user_data);

## Description

## Details

### e_load_book_source ()

    EBook *             e_load_book_source                  (ESource *source,
                                                             EBookCallback open_func,
                                                             gpointer user_data);

Creates a new EBook specified by `source`, and starts a non-blocking open operation on it. If the book requires authorization, presents a window asking the user for such.

When the operation finishes, calls the callback function indicating if it succeeded or not. If you don't care, you can pass `NULL` for `open_func`, and no action will be taken on completion.

`source` :

  an ESource

`open_func` :

  a function to call when the operation finishes, or `NULL`

`user_data` :

  data to pass to callback function

Returns :

  A new EBook that is being opened.